package ru.ulstu.extractor.heuristic.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.ulstu.extractor.heuristic.model.StructuralUnit;
import ru.ulstu.extractor.heuristic.service.StructuralUnitService;

import java.util.List;

@RestController
@RequestMapping("StructuralUnitController")
public class StructuralUnitController {
    private final StructuralUnitService structuralUnitService;

    public StructuralUnitController(StructuralUnitService structuralUnitService) {
        this.structuralUnitService = structuralUnitService;
    }

    @GetMapping("get-entities")
    public List<StructuralUnit> getEntities() {
        return structuralUnitService.getEntities();
    }
}
