package ru.ulstu.test;

import org.junit.Assert;
import org.junit.Test;
import ru.ulstu.extractor.heuristic.model.JavaProgrammingLanguage;
import ru.ulstu.extractor.heuristic.service.DetectorService;
import ru.ulstu.extractor.heuristic.service.JavaIdentifier;

public class HeuristicServiceTest {
    private final JavaIdentifier javaIdentifier = new JavaIdentifier(new DetectorService());

    @Test
    public void testMainProgrammingLanguage() {
        Assert.assertEquals(javaIdentifier.getMainProgrammingLanguage().orElse(null), new JavaProgrammingLanguage());
    }
}